Skip to main content
GET
/
api
/
dashboard
/
memories
/
{memory_id}
/
related
Related memories cross-reference
curl --request GET \
  --url https://api.example.com/api/dashboard/memories/{memory_id}/related \
  --header 'Authorization: Bearer <token>'
{
  "project_memories": [
    {
      "id": 123,
      "topic": "<string>",
      "content_snippet": "<string>",
      "memory_type": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "project": "<string>",
      "scope": "<string>"
    }
  ],
  "project_total": 123,
  "cluster": {
    "cluster_id": 123,
    "label": "<string>",
    "members": [
      {
        "id": 123,
        "topic": "<string>",
        "content_snippet": "<string>",
        "memory_type": "<string>",
        "created_at": "2023-11-07T05:31:56Z",
        "project": "<string>",
        "scope": "<string>"
      }
    ],
    "total": 123
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

memory_id
integer
required

Response

Successful Response

Cross-reference data for a single memory.

project_memories
RelatedMemoryItem · object[]
required
project_total
integer
required
cluster
ClusterContext · object

Cluster a memory belongs to, with sibling memories.